<?php
require_once('system/func.php');
auth(); // Закроем от не авторизованных
require_once('system/header.php');

# Настройки #
$id = abs(intval($_GET['id']));
if ($id) {
    $item = mysql_fetch_assoc(mysql_query("SELECT * FROM `item` WHERE `id` = '" . $id . "'"));
}
# Ошибки #
if (!$item) {
    $_SESSION['msg'] == 'Такой вещи не существует';
    header('Location: /shop?act=shop');
    exit();
}

if (isset($_GET['buy'])) {

    $inv = mysql_result(mysql_query("SELECT COUNT(*) FROM `inv` WHERE `odeta` = 'net' AND `id_user` = '$myID'"), 0);
    if ($inv == 20) {
        $_SESSION['msg'] = "Вы не смогли поднять вещь, ваша сумка переполнена";
        header("Location: /inv?$random");
        exit();
    }
    if ($post['level'] > $user['level']) {
        header("Location: /main?$random");
        exit();
    }

    $getSale = mysql_fetch_assoc(mysql_query("SELECT * FROM `avenax_admin` WHERE `id` = '1'"));

    if (!empty($getSale) && $getSale['sale_item_time'] > time()) {
        $value = floor($item['cena']/100*$getSale['sale_item']);
        $item['cena'] = $item['cena'] - $value;
    }
	$komplekt = mysql_fetch_assoc(mysql_query("SELECT * FROM `komplekt` WHERE `id` = '" .$item['id_komplekt']. "' LIMIT 1"));
	if($user['level']<$komplekt['level']){
		$_SESSION['msg']="Не доступно по уровню"; 
		header('Location: /shop?act=shop');
		exit();
	}
    if ($user['almaz'] < $item['cena']) {
        $_SESSION['msg'] = 'Не хватает ' . ico('icons', 'almaz.png') . ' ' . ($item['cena'] - $user['almaz']) . ' алмазов';
        header("Location: ?");
        exit();
    }
    mysql_query("INSERT INTO `inv` SET `id_user` = '$myID', `name` = '$item[name]', `str` = '$item[str]', `def` = '$item[def]', `health` = '$item[health]', `tip` = '$item[tip]', `skill` = '$item[skill]', `odeta` = 'net' , `item` = '$item[item]'");
    mysql_query("UPDATE `users` SET `almaz` = '" . ($user['almaz'] - $item['cena']) . "' WHERE (`id` = '" . $myID . "')");

    //Кампания
    if ($campaign['id_camp'] == 1) {
        mysql_query("UPDATE `campaign`  SET  `item`='" . ($campaign['item'] + 1) . "'  WHERE `id_user`='" . $myID . "'");
    }

    $_SESSION['msg'] = 'Вещь куплена, и положена в сумку';
    header("Location: /inv");
    exit();
}
echo div('block_c') . "<a href=/shop/>Вернуться в магазин </a></div>";
require_once('system/footer.php');
?>